# Interface methods for submodule: MaskedFFTNormalizedCorrelationImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: MaskedFFTNormalizedCorrelationImageFilter
class MaskedFFTNormalizedCorrelationImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFixedImage(self, _arg) -> None:
		""""""
		...

	def GetFixedImage(self):
		""""""
		...

	def SetMovingImage(self, _arg) -> None:
		""""""
		...

	def GetMovingImage(self):
		""""""
		...

	def SetFixedImageMask(self, _arg) -> None:
		""""""
		...

	def GetFixedImageMask(self):
		""""""
		...

	def SetMovingImageMask(self, _arg) -> None:
		""""""
		...

	def GetMovingImageMask(self):
		""""""
		...

	def SetRequiredNumberOfOverlappingPixels(self, _arg: int) -> None:
		""""""
		...

	def GetRequiredNumberOfOverlappingPixels(self) -> int:
		""""""
		...

	def GetRequiredFractionOfOverlappingPixels(self) -> float:
		""""""
		...

	def SetRequiredFractionOfOverlappingPixels(self, _arg: float) -> None:
		""""""
		...

	def GetMaximumNumberOfOverlappingPixels(self) -> int:
		""""""
		...

